> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace Operating Hours

> Bulk replace all operating hours for the location.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json post /v1/workspaces/{workspaceId}/locations/{locationId}/hours
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces/{workspaceId}/locations/{locationId}/hours:
    post:
      tags:
        - Hours
      summary: Replace Operating Hours
      description: Bulk replace all operating hours for the location.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                hours:
                  type: array
                  items:
                    type: object
                    properties:
                      day_of_week:
                        type: integer
                        minimum: 0
                        maximum: 6
                      start_time:
                        type: string
                        pattern: ^\d{2}:\d{2}$
                      end_time:
                        type: string
                        pattern: ^\d{2}:\d{2}$
                      is_active:
                        type: boolean
                        default: true
                    required:
                      - day_of_week
                      - start_time
                      - end_time
                  minItems: 1
                  maxItems: 14
              required:
                - hours
      responses:
        '200':
          description: Updated operating hours
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/HourEntry'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    HourEntry:
      type: object
      properties:
        id:
          type: string
        day_of_week:
          type: integer
        start_time:
          type: string
        end_time:
          type: string
        is_active:
          type: boolean
      required:
        - id
        - day_of_week
        - start_time
        - end_time
        - is_active
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````